
Auto Multiple Choice - Bug # 533: pdflatex --shell-escape

Status: Closed Priority: Normal
Author: Giovanni Morando Category:
Created: 02/22/2018 Assignee:
Updated: 02/08/2021 Due date:
Description: As explained in the guide I try to change the local or global latex engine (search for "engine" in 

https://www.auto-multiple-choice.net/auto-multiple-choice.en/latex.shtml ) in order to set it to "pdflatex 
--shell-escape" so that tikzexternal may be used with AMC.
I change the engine, I save the settings but my choice is not registered: the compilation does not work and if I 
open the preferences once again my former choice is cancelled.
Any ideas? Thansk in advance.

History
02/23/2018 03:22 pm - Alexis Bienvenüe
What AMC version do you use?
Open your project.
When you open the _Edit/Preferences_ window, what is the value of _External commands/LeTeX engine_ *in the _Project_ tab*?

02/24/2018 10:27 am - Giovanni Morando
I have AMC 1.3.0.
If I open _Edit/Preferences_ window as the first operation after launching AMC I get "pdflatex" in _main preferences_ and "pdflatex --shell-escape" in 
the _project_ tab. As soon as I perform any operation, as opening _preferences_ again or compiling the source (and getting an error message), it 
seems that preferences are cancelled since, if I open _preference_ once again I find both fields empty.
Thanks

02/24/2018 03:02 pm - Alexis Bienvenüe
Can you try these exact steps and send the resulting @log@ file?
# Open AMC
# Switch to debugging mode (from the _Help_ menu)
# Open your project
# Open the Edit/Preferences menu, and set _External commands/LeTeX engine_ in the _Project_ tab to @pdflatex -shell-escape@
# Build the project documents

02/24/2018 03:59 pm - Giovanni Morando
- File AMC-DEBUG-untwPnhY.log added

Here is the log file.
Thanks for help,

Giovanni

02/24/2018 04:02 pm - Alexis Bienvenüe
So in this case the documents were built properly?

02/24/2018 04:13 pm - Giovanni Morando
- File AMC-DEBUG-jDL7pSKL.log added

Ops, I am sorry I compiled the document using the trick I adopted to complete the job (importing images with graphicx package from a different file).
Here attached you can find the log of the situation with the error.
Sorry,
Giovanni

02/24/2018 04:21 pm - Alexis Bienvenüe
> [   8413,   2.30] Command [8431] : auto-multiple-choice prepare --with "pdflatex --shell-escape" …
> […]
> [   8431,   0.14] %%% Compiling: pass 1
> This is pdfTeX, Version 3.14159265-2.6-1.40.16 (TeX Live 2015/Debian) (preloaded format=pdflatex)
>  \write18 enabled.
It seems from the log file that @-shell-escape@ was used.
Can you write a minimal source file that produces the error?

02/24/2018 04:24 pm - Alexis Bienvenüe
Is there any file named @amc-compiled-figure0.log@ in the project directory?

02/24/2018 04:41 pm - Giovanni Morando
- File amc-compiled-figure0.log added

- File simple.tex added

- File AMC-DEBUG-C9JhIcCN.log added

Here is the minimal source simple.tex, the amc-debug-....log and the amc-compiled-figure0.log

02/24/2018 05:51 pm - Alexis Bienvenüe
Thanks for the source file.
The problem here comes from the jobname, that is set by AMC to something different from the source file name. This seems to be incompatible with 
tikz's externalization (see "this 
page":https://tex.stackexchange.com/questions/273898/tikz-externalize-not-working-when-jobname-is-specified-for-main-document).
You can use tikz without externalization, or try the solution provided in the page mentioned above.

02/24/2018 05:56 pm - Giovanni Morando
Thanks a lot, I'll read the page and see what's easier between the suggested solution and my dumb procedure (compiling images in an non-AMC file 
and importing them by means of graphicx package).

02/08/2021 04:25 pm - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Files
AMC-DEBUG-untwPnhY.log 171 kB 02/24/2018 Giovanni Morando
AMC-DEBUG-jDL7pSKL.log 101.8 kB 02/24/2018 Giovanni Morando
amc-compiled-figure0.log 836 Bytes 02/24/2018 Giovanni Morando
simple.tex 929 Bytes 02/24/2018 Giovanni Morando
AMC-DEBUG-C9JhIcCN.log 94.4 kB 02/24/2018 Giovanni Morando
